
package javax.tv.service.navigation;


public interface ServiceDetails extends javax.tv.service.SIElement, CAIdentification {

	public javax.tv.service.ServiceType getServiceType();

	public javax.tv.service.SIRequest retrieveComponents(javax.tv.service.SIRequestor requestor);

	public javax.tv.service.SIRequest retrieveServiceDescription(javax.tv.service.SIRequestor requestor);

	public javax.tv.service.guide.ProgramSchedule getProgramSchedule();

	public java.lang.String getLongName();

	public javax.tv.service.Service getService();

	public void addServiceComponentChangeListener(ServiceComponentChangeListener listener);

	public void removeServiceComponentChangeListener(ServiceComponentChangeListener listener);

	public javax.tv.service.navigation.DeliverySystemType getDeliverySystemType();

}
