
package javax.tv.service.selection;


public class PresentationTerminatedEvent extends ServiceContextEvent {

	public static final int SERVICE_VANISHED = 1;


	public static final int TUNED_AWAY = 2;


	public static final int RESOURCES_REMOVED = 3;


	public static final int ACCESS_WITHDRAWN = 4;


	public static final int USER_STOP = 5;


	private int reason;


	public PresentationTerminatedEvent( ServiceContext source, int reason) {
		super(source);
	}


	public int getReason() {
		return this.reason;
	}

}
