
package javax.tv.service.selection;


public class SelectionFailedEvent extends ServiceContextEvent {

	public static final int INTERRUPTED = 1;


	public static final int CA_REFUSAL = 2;


	public static final int CONTENT_NOT_FOUND = 3;


	public static final int MISSING_HANDLER = 4;


	public static final int TUNING_FAILURE = 5;


	public static final int INSUFFICIENT_RESOURCES = 6;


	private int reason;


	public SelectionFailedEvent( ServiceContext source, int reason) {
		super(source);
	}


	public int getReason() {
		return this.reason;
	}

}
