
package javax.tv.service.selection;


public interface ServiceContext {

	public void select(javax.tv.service.Service selection) throws java.lang.SecurityException;


	public void select(javax.tv.locator.Locator[] components) throws javax.tv.locator.InvalidLocatorException, InvalidServiceComponentException, java.lang.SecurityException;


	public void stop() throws java.lang.SecurityException;


	public void destroy() throws java.lang.SecurityException;


	public ServiceContentHandler[] getServiceContentHandlers() throws java.lang.SecurityException;


	public javax.tv.service.Service getService();


	public void addListener( ServiceContextListener listener);


	public void removeListener( ServiceContextListener listener);

}
