
package org.dvb.application;


public interface AppProxy {

	public static final int STARTED = 0;
	public static final int DESTROYED = 1;
	public static final int NOT_LOADED = 2;
	public static final int PAUSED = 3;


	public int getState();


	public void start();


	public void start(java.lang.String[] args);


	public void stop(boolean forced);


	public void pause();


	public void resume();


	public void addAppStateChangeEventListener( AppStateChangeEventListener listener);


	public void removeAppStateChangeEventListener( AppStateChangeEventListener listener);

}
