
package org.dvb.event;


public class UserEvent extends java.util.EventObject {

	public static final int UEF_KEY_EVENT = 1;


	private int family;
	private int type;
	private int code;
	private char keyChar;
	private int modifiers;
	private long when;


	public UserEvent(java.lang.Object source, int family, int type, int code, int modifiers, long when) {
		super(source);
	}


	public UserEvent(java.lang.Object source, int family, char keyChar, long when) {
		super(source);
	}


	public int getFamily() {
		return this.family;
	}


	public int getType() {
		return this.type;
	}


	public int getCode() {
		return this.code;
	}


	public char getKeyChar() {
		return this.keyChar;
	}


	public int getModifiers() {
		return this.modifiers;
	}


	public boolean isShiftDown() {
		return false;

	}


	public boolean isControlDown() {
		return false;

	}


	public boolean isMetaDown() {
		return false;

	}


	public boolean isAltDown() {
		return false;

	}


	public long getWhen() {
		return this.when;
	}

}
