package org.havi.ui;

public class HVisible extends HComponent implements HState {

	public static final int HALIGN_LEFT = 0;
	public static final int HALIGN_CENTER = 1;
	public static final int HALIGN_RIGHT = 2;
	public static final int HALIGN_JUSTIFY = 3;
	
	public static final int VALIGN_TOP = 0;
	public static final int VALIGN_CENTER = 4;
	public static final int VALIGN_BOTTOM = 8;
	public static final int VALIGN_JUSTIFY = 12;
	
	public static final int RESIZE_NONE = 0;
	public static final int RESIZE_PRESERVE_ASPECT = 1;
	public static final int RESIZE_ARBITRARY = 2;
	
	public static final int NO_BACKGROUND_FILL = 0;
	public static final int BACKGROUND_FILL = 1;
	
	public static final int FIRST_CHANGE = 0;
	public static final int TEXT_CONTENT_CHANGE = 0;
	public static final int GRAPHIC_CONTENT_CHANGE = 1;
	public static final int ANIMATE_CONTENT_CHANGE = 2;
	public static final int CONTENT_CHANGE = 3;
	public static final int STATE_CHANGE = 4;
	public static final int CARET_POSITION_CHANGE = 5;
	public static final int ECHO_CHAR_CHANGE = 6;
	public static final int EDIT_MODE_CHANGE = 7;
	public static final int MIN_MAX_CHANGE = 8;
	public static final int THUMB_OFFSETS_CHANGE = 9;
	public static final int ORIENTATION_CHANGE = 10;
	public static final int TEXT_VALUE_CHANGE = 11;
	public static final int ITEM_VALUE_CHANGE = 12;
	public static final int ADJUSTMENT_VALUE_CHANGE = 13;
	public static final int LIST_CONTENT_CHANGE = 14;
	public static final int LIST_ICONSIZE_CHANGE = 15;
	public static final int LIST_LABELSIZE_CHANGE = 16;
	public static final int LIST_MULTISELECTION_CHANGE = 17;
	public static final int LIST_SCROLLPOSITION_CHANGE = 18;
	public static final int SIZE_CHANGE = 19;
	public static final int BORDER_CHANGE = 20;
	public static final int REPEAT_COUNT_CHANGE = 21;
	public static final int ANIMATION_POSITION_CHANGE = 22;
	public static final int LIST_SELECTION_CHANGE = 23;
	public static final int UNKNOWN_CHANGE = 24;
	public static final int LAST_CHANGE = UNKNOWN_CHANGE;
	public static final int NO_DEFAULT_WIDTH = -1;
	public static final int NO_DEFAULT_HEIGHT = -1;

	public static final java.awt.Dimension NO_DEFAULT_SIZE = new java.awt.Dimension(-1, -1);

	//following variables are implicitely defined by getter- or setter-methods:
	private HLook look;
	private java.awt.Dimension preferredSize;
	private java.awt.Dimension maximumSize;
	private java.awt.Dimension minimumSize;
	private int interactionState;
	private HTextLayoutManager textLayoutManager;
	private int backgroundMode;
	private java.awt.Dimension defaultSize;
	private int horizontalAlignment;
	private int verticalAlignment;
	private int resizeMode;
	private boolean enabled;
	private boolean bordersEnabled;

	public HVisible() {}

	public HVisible( HLook hlook) {}

	public HVisible( HLook hlook, int x, int y, int width, int height) {}

	public boolean isFocusTraversable() {
		return false;
	}

	public void paint(java.awt.Graphics g) {}

	public void update(java.awt.Graphics g) {}

	public void setTextContent(java.lang.String string, int state) {}

	public void setGraphicContent(java.awt.Image image, int state) {}

	public void setAnimateContent(java.awt.Image[] imageArray, int state) {}

	public void setContent(java.lang.Object object, int state) {}

	public java.lang.String getTextContent(int state) {
		return null;
	}

	public java.awt.Image getGraphicContent(int state) {
		return null;
	}

	public java.awt.Image[] getAnimateContent(int state) {
		return null;
	}

	public java.lang.Object getContent(int state) {
		return null;
	}

	public void setLook( HLook hlook) throws HInvalidLookException {
		this.look = hlook;
	}

	public HLook getLook() {
		return this.look;
	}

	public java.awt.Dimension getPreferredSize() {
		return this.preferredSize;
	}

	public java.awt.Dimension getMaximumSize() {
		return this.maximumSize;
	}

	public java.awt.Dimension getMinimumSize() {
		return this.minimumSize;
	}

	protected void setInteractionState(int state) {
		this.interactionState = state;
	}

	public int getInteractionState() {
		return this.interactionState;
	}

	public void setTextLayoutManager( HTextLayoutManager manager) {
		this.textLayoutManager = manager;
	}

	public HTextLayoutManager getTextLayoutManager() {
		return this.textLayoutManager;
	}

	public int getBackgroundMode() {
		return this.backgroundMode;
	}

	public void setBackgroundMode(int mode) {
		this.backgroundMode = mode;
	}

	public boolean isOpaque() {
		return false;
	}

	public void setDefaultSize(java.awt.Dimension defaultSize) {
		this.defaultSize = defaultSize;
	}

	public java.awt.Dimension getDefaultSize() {
		return this.defaultSize;
	}

	public java.lang.Object getLookData(java.lang.Object key) {
		return null;
	}

	public void setLookData(java.lang.Object key, java.lang.Object data) {}

	public void setHorizontalAlignment(int halign) {
		this.horizontalAlignment = halign;
	}

	public void setVerticalAlignment(int valign) {
		this.verticalAlignment = valign;
	}

	public int getHorizontalAlignment() {
		return this.horizontalAlignment;
	}

	public int getVerticalAlignment() {
		return this.verticalAlignment;
	}

	public void setResizeMode(int resize) {
		this.resizeMode = resize;
	}

	public int getResizeMode() {
		return this.resizeMode;
	}

	public void setEnabled(boolean b) {
		this.enabled = b;
	}

	public void setBordersEnabled(boolean enable) {
		this.bordersEnabled = enable;
	}

	public boolean getBordersEnabled() {
		return this.bordersEnabled;
	}

}
