package javax.tv.service.navigation;

public class DeliverySystemType extends java.lang.Object {

	public static final DeliverySystemType SATELLITE;
	public static final DeliverySystemType CABLE;
	public static final DeliverySystemType TERRESTRIAL;
	public static final DeliverySystemType UNKNOWN;

	private String name;

	static {
		SATELLITE = new DeliverySystemType("SATELLITE");
		CABLE = new DeliverySystemType("CABLE");
		TERRESTRIAL = new DeliverySystemType("TERRESTRIAL");
		UNKNOWN = new DeliverySystemType("UNKNOWN");
	}

	protected DeliverySystemType(java.lang.String name) {
		this.name = name;
	}

	public java.lang.String toString() {
		return name;
	}
	
}
