package org.davic.mpeg;


public class NotAuthorizedException extends java.lang.Exception implements NotAuthorizedInterface {

	private int type;
	private Service service;
	private ElementaryStream[] elementaryStreams;


	public NotAuthorizedException() {
		super();
	}


	public NotAuthorizedException(java.lang.String s) {
		super(s);
	}


	public int getType() {
		return this.type;
	}


	public Service getService() {
		return this.service;
	}


	public ElementaryStream[] getElementaryStreams() {
		return this.elementaryStreams;
	}


	public int[] getReason(int index) throws java.lang.IndexOutOfBoundsException {
		return null;

	}

}
