
package org.davic.mpeg.sections;


public abstract class SectionFilter extends java.lang.Object {

	private long timeOut;


	public void startFiltering(java.lang.Object appData, int pid) throws FilterResourceException, org.davic.mpeg.NotAuthorizedException, IllegalFilterDefinitionException, ConnectionLostException {
	}


	public void startFiltering(java.lang.Object appData, int pid, int table_id) throws FilterResourceException, org.davic.mpeg.NotAuthorizedException, ConnectionLostException, IllegalFilterDefinitionException {
	}


	public void startFiltering(java.lang.Object appData, int pid, int table_id, byte[] posFilterDef, byte[] posFilterMask) throws FilterResourceException, IllegalFilterDefinitionException, org.davic.mpeg.NotAuthorizedException, ConnectionLostException {
	}


	public void startFiltering(java.lang.Object appData, int pid, int table_id, int offset, byte[] posFilterDef, byte[] posFilterMask) throws FilterResourceException, IllegalFilterDefinitionException, org.davic.mpeg.NotAuthorizedException, ConnectionLostException {
	}


	public void startFiltering(java.lang.Object appData, int pid, int table_id, byte[] posFilterDef, byte[] posFilterMask, byte[] negFilterDef, byte[] negFilterMask) throws FilterResourceException, IllegalFilterDefinitionException, org.davic.mpeg.NotAuthorizedException, ConnectionLostException {
	}


	public void startFiltering(java.lang.Object appData, int pid, int table_id, int offset, byte[] posFilterDef, byte[] posFilterMask, byte[] negFilterDef, byte[] negFilterMask) throws FilterResourceException, IllegalFilterDefinitionException, org.davic.mpeg.NotAuthorizedException, ConnectionLostException {
	}


	public void stopFiltering() {
	}


	public void setTimeOut(long milliseconds) throws java.lang.IllegalArgumentException {
		this.timeOut = milliseconds;
	}


	public void addSectionFilterListener( SectionFilterListener listener) {
	}


	public void removeSectionFilterListener( SectionFilterListener listener) {
	}

}
