
package org.dvb.application;


public class AppStateChangeEvent extends java.util.EventObject {

	private AppID appID;
	private int fromState;
	private int toState;


	public AppStateChangeEvent( AppID appid, int fromstate, int tostate, java.lang.Object source, boolean hasFailed) {
		super(appid);
	}


	public AppID getAppID() {
		return this.appID;
	}


	public int getFromState() {
		return this.fromState;
	}


	public int getToState() {
		return this.toState;
	}


	public boolean hasFailed() {
		return false;

	}

}
