
package org.dvb.application;


public class AppsDatabaseEvent extends java.util.EventObject {

	public static final int NEW_DATABASE = 0;
	public static final int APP_CHANGED = 1;
	public static final int APP_ADDED = 2;
	public static final int APP_DELETED = 3;


	private AppID appID;
	private int eventId;


	public AppsDatabaseEvent(int id, AppID appid, java.lang.Object source) {
		super(source);
	}


	public AppID getAppID() {
		return this.appID;
	}


	public int getEventId() {
		return this.eventId;
	}

}
