
package org.dvb.dsmcc;


public class DSMCCObject extends java.io.File {

	public static final int FROM_CACHE = 1;
	public static final int FROM_CACHE_OR_STREAM = 2;
	public static final int FROM_STREAM_ONLY = 3;


	private java.net.URL uRL;
	private int retrievalMode;
	private java.security.cert.X509Certificate[][] signers;


	public DSMCCObject(java.lang.String path) {
		super(path);
	}


	public DSMCCObject(java.lang.String path, java.lang.String name) {
		super(path, name);
	}


	public DSMCCObject( DSMCCObject dir, java.lang.String name) {
		super(dir, name);
	}


	public boolean isLoaded() {
		return false;

	}


	public boolean isStream() {
		return false;

	}


	public boolean isStreamEvent() {
		return false;

	}


	public boolean isObjectKindKnown() {
		return false;

	}


	public void synchronousLoad() throws InvalidFormatException, java.io.InterruptedIOException, MPEGDeliveryException, ServerDeliveryException, InvalidPathNameException, NotEntitledException, ServiceXFRException {
	}


	public void asynchronousLoad( AsynchronousLoadingEventListener l) throws InvalidPathNameException {
	}


	public void abort() throws NothingToAbortException {
	}


	public static boolean prefetch(java.lang.String path, byte priority) {
		return false;

	}


	public static boolean prefetch( DSMCCObject dir, java.lang.String path, byte priority) {
		return false;

	}


	public void unload() throws NotLoadedException {
	}


	public java.net.URL getURL() {
		return this.uRL;
	}


	public void addObjectChangeEventListener( ObjectChangeEventListener listener) throws InsufficientResourcesException {
	}


	public void removeObjectChangeEventListener( ObjectChangeEventListener listener) {
	}


	public void loadDirectoryEntry( AsynchronousLoadingEventListener l) throws InvalidPathNameException {
	}


	public void setRetrievalMode(int retrieval_mode) {
		this.retrievalMode = retrieval_mode;
	}


	public java.security.cert.X509Certificate[][] getSigners() {
		return this.signers;
	}

}
