
package org.dvb.media;


public interface VideoPresentationControl extends javax.media.Control {

	public static final byte POS_CAP_FULL = 0;
	public static final byte POS_CAP_FULL_IF_ENTIRE_VIDEO_ON_SCREEN = 1;
	public static final byte POS_CAP_FULL_EVEN_LINES = 3;
	public static final byte POS_CAP_FULL_EVEN_LINES_IF_ENTIRE_VIDEO_ON_SCREEN = 4;
	public static final byte POS_CAP_OTHER = -1;

	public java.awt.Dimension getInputVideoSize();

	public java.awt.Dimension getVideoSize();

	public org.havi.ui.HScreenRectangle getActiveVideoArea();

	public org.havi.ui.HScreenRectangle getActiveVideoAreaOnScreen();

	public org.havi.ui.HScreenRectangle getTotalVideoArea();

	public org.havi.ui.HScreenRectangle getTotalVideoAreaOnScreen();

	public boolean supportsClipping();

	public java.awt.Rectangle setClipRegion(java.awt.Rectangle clipRect);

	public java.awt.Rectangle getClipRegion();

	public float[] supportsArbitraryHorizontalScaling();

	public float[] supportsArbitraryVerticalScaling();

	public float[] getHorizontalScalingFactors();

	public float[] getVerticalScalingFactors();

	public byte getPositioningCapability();

}
