
package org.dvb.si;


public interface SIService extends SIInformation, TextualServiceIdentifierQuery {

	public org.davic.net.dvb.DvbLocator getDvbLocator();


	public int getOriginalNetworkID();


	public int getTransportStreamID();


	public int getServiceID();


	public short getSIServiceType();


	public java.lang.String getName();


	public java.lang.String getShortServiceName();


	public java.lang.String getProviderName();


	public java.lang.String getShortProviderName();


	public boolean getEITScheduleFlag();


	public boolean getEITPresentFollowingFlag();


	public byte getRunningStatus();


	public boolean getFreeCAMode();


	public SIRequest retrievePresentSIEvent(short retrieveMode, java.lang.Object appData, SIRetrievalListener listener, short[] someDescriptorTags) throws SIIllegalArgumentException;


	public SIRequest retrieveFollowingSIEvent(short retrieveMode, java.lang.Object appData, SIRetrievalListener listener, short[] someDescriptorTags) throws SIIllegalArgumentException;


	public SIRequest retrieveScheduledSIEvents(short retrieveMode, java.lang.Object appData, SIRetrievalListener listener, short[] someDescriptorTags, java.util.Date startTime, java.util.Date endTime) throws SIIllegalArgumentException, SIInvalidPeriodException;


	public SIRequest retrievePMTService(short retrieveMode, java.lang.Object appData, SIRetrievalListener listener, short[] someDescriptorTags) throws SIIllegalArgumentException;


	public java.lang.String[] getTextualServiceIdentifiers();

}
