
package org.dvb.ui;


public class DVBTextLayoutManager extends java.lang.Object implements org.havi.ui.HTextLayoutManager {

	public static final int HORIZONTAL_START_ALIGN = 1;
	public static final int HORIZONTAL_END_ALIGN = 2;
	public static final int HORIZONTAL_CENTER = 3;
	public static final int VERTICAL_START_ALIGN = 4;
	public static final int VERTICAL_END_ALIGN = 5;
	public static final int VERTICAL_CENTER = 6;
	public static final int LINE_ORIENTATION_HORIZONTAL = 10;
	public static final int LINE_ORIENTATION_VERTICAL = 11;
	public static final int START_CORNER_UPPER_LEFT = 20;
	public static final int START_CORNER_UPPER_RIGHT = 21;
	public static final int START_CORNER_LOWER_LEFT = 22;
	public static final int START_CORNER_LOWER_RIGHT = 32;


	private int horizontalAlign;
	private int verticalAlign;
	private int lineOrientation;
	private int startCorner;
	private boolean textWrapping;
	private int lineSpace;
	private int letterSpace;
	private int horizontalTabSpacing;
	private java.awt.Insets insets;


	public DVBTextLayoutManager() {
		super();
	}


	public DVBTextLayoutManager(int horizontalAlign, int verticalAlign, int lineOrientation, int startCorner, boolean wrap, int linespace, int letterspace, int horizontalTabSpace) {
	}


	public void render(java.lang.String markedUpString, java.awt.Graphics g, org.havi.ui.HVisible v, java.awt.Insets insets) {
	}


	public void setHorizontalAlign(int horizontalAlign) {
		this.horizontalAlign = horizontalAlign;
	}


	public void setVerticalAlign(int verticalAlign) {
		this.verticalAlign = verticalAlign;
	}


	public void setLineOrientation(int lineOrientation) {
		this.lineOrientation = lineOrientation;
	}


	public void setStartCorner(int startCorner) {
		this.startCorner = startCorner;
	}


	public void setTextWrapping(boolean wrap) {
		this.textWrapping = wrap;
	}


	public void setLineSpace(int lineSpace) {
		this.lineSpace = lineSpace;
	}


	public void setLetterSpace(int letterSpace) {
		this.letterSpace = letterSpace;
	}


	public void setHorizontalTabSpacing(int horizontalTabSpace) {
		this.horizontalTabSpacing = horizontalTabSpace;
	}


	public int getHorizontalAlign() {
		return this.horizontalAlign;
	}


	public int getVerticalAlign() {
		return this.verticalAlign;
	}


	public int getLineOrientation() {
		return this.lineOrientation;
	}


	public int getStartCorner() {
		return this.startCorner;
	}


	public boolean getTextWrapping() {
		return this.textWrapping;
	}


	public int getLineSpace() {
		return this.lineSpace;
	}


	public int getLetterSpace() {
		return this.letterSpace;
	}


	public int getHorizontalTabSpacing() {
		return this.horizontalTabSpacing;
	}


	public void setInsets(java.awt.Insets insets) {
		this.insets = insets;
	}


	public java.awt.Insets getInsets() {
		return this.insets;
	}


	public void addTextOverflowListener( TextOverflowListener l) {
	}


	public void removeTextOverflowListener( TextOverflowListener l) {
	}

}
