
package org.havi.ui;


public class HListGroup extends HVisible implements HItemValue {

	public static final int ITEM_NOT_FOUND = -1;
	public static final int ADD_INDEX_END = -1;
	public static final int DEFAULT_LABEL_WIDTH = -1;
	public static final int DEFAULT_LABEL_HEIGHT = -2;
	public static final int DEFAULT_ICON_WIDTH = -3;
	public static final int DEFAULT_ICON_HEIGHT = -4;

	private HLook look;
	private static HListGroupLook defaultLook;
	private HListElement[] listContent;
	private int numItems;
	private int currentIndex;
	private HListElement currentItem;
	private int[] selectionIndices;
	private HListElement[] selection;
	private int numSelected;
	private boolean multiSelection;
	private int scrollPosition;
	private java.awt.Dimension iconSize;
	private java.awt.Dimension labelSize;
	private HSound gainFocusSound;
	private HSound loseFocusSound;
	private int[] navigationKeys;
	private int orientation;
	private HSound selectionSound;
	private boolean selectionMode;


	public HListGroup() {
	}


	public HListGroup( HListElement[] items) {
	}


	public HListGroup( HListElement[] items, int x, int y, int width, int height) {
	}


	public void setLook( HLook hlook) throws HInvalidLookException {
		this.look = hlook;
	}


	public static void setDefaultLook( HListGroupLook look) {
		defaultLook = look;
	}


	public static HListGroupLook getDefaultLook() {
		return defaultLook;
	}


	public HListElement[] getListContent() {
		return this.listContent;
	}


	public void setListContent( HListElement[] elements) {
		this.listContent = elements;
	}


	public void addItem( HListElement item, int index) {
	}


	public void addItems( HListElement[] items, int index) {
	}


	public HListElement getItem(int index) {
		return null;

	}


	public int getIndex( HListElement item) {
		return 0;

	}


	public int getNumItems() {
		return this.numItems;
	}


	public HListElement removeItem(int index) {
		return null;

	}


	public void removeAllItems() {
	}


	public int getCurrentIndex() {
		return this.currentIndex;
	}


	public HListElement getCurrentItem() {
		return this.currentItem;
	}


	public boolean setCurrentItem(int index) {
		return false;

	}


	public int[] getSelectionIndices() {
		return this.selectionIndices;
	}


	public HListElement[] getSelection() {
		return this.selection;
	}


	public void clearSelection() {
	}


	public int getNumSelected() {
		return this.numSelected;
	}


	public boolean getMultiSelection() {
		return this.multiSelection;
	}


	public void setMultiSelection(boolean multi) {
		this.multiSelection = multi;
	}


	public void setItemSelected(int index, boolean sel) {
	}


	public boolean isItemSelected(int index) {
		return false;

	}


	public int getScrollPosition() {
		return this.scrollPosition;
	}


	public void setScrollPosition(int scroll) {
		this.scrollPosition = scroll;
	}


	public java.awt.Dimension getIconSize() {
		return this.iconSize;
	}


	public void setIconSize(java.awt.Dimension size) {
		this.iconSize = size;
	}


	public java.awt.Dimension getLabelSize() {
		return this.labelSize;
	}


	public void setLabelSize(java.awt.Dimension size) {
		this.labelSize = size;
	}


	public void setMove(int keyCode, HNavigable target) {
	}


	public HNavigable getMove(int keyCode) {
		return null;

	}


	public void setFocusTraversal( HNavigable up, HNavigable down, HNavigable left, HNavigable right) {
	}


	public boolean isSelected() {
		return false;

	}


	public void setGainFocusSound( HSound sound) {
		this.gainFocusSound = sound;
	}


	public void setLoseFocusSound( HSound sound) {
		this.loseFocusSound = sound;
	}


	public HSound getGainFocusSound() {
		return this.gainFocusSound;
	}


	public HSound getLoseFocusSound() {
		return this.loseFocusSound;
	}


	public void addHFocusListener(org.havi.ui.event.HFocusListener l) {
	}


	public void removeHFocusListener(org.havi.ui.event.HFocusListener l) {
	}


	public int[] getNavigationKeys() {
		return this.navigationKeys;
	}


	public void processHFocusEvent(org.havi.ui.event.HFocusEvent evt) {
	}


	public int getOrientation() {
		return this.orientation;
	}


	public void setOrientation(int orient) {
		this.orientation = orient;
	}


	public void addItemListener(org.havi.ui.event.HItemListener l) {
	}


	public void removeItemListener(org.havi.ui.event.HItemListener l) {
	}


	public void setSelectionSound( HSound sound) {
		this.selectionSound = sound;
	}


	public HSound getSelectionSound() {
		return this.selectionSound;
	}


	public boolean getSelectionMode() {
		return this.selectionMode;
	}


	public void setSelectionMode(boolean edit) {
		this.selectionMode = edit;
	}


	public void processHItemEvent(org.havi.ui.event.HItemEvent evt) {
	}

}
