
package org.havi.ui;


public class HScene extends java.awt.Container implements HComponentOrdering {

	public static final int IMAGE_NONE = 0;
	public static final int IMAGE_STRETCH = 1;
	public static final int IMAGE_CENTER = 2;
	public static final int IMAGE_TILE = 3;
	public static final int NO_BACKGROUND_FILL = 0;
	public static final int BACKGROUND_FILL = 1;


	private boolean visible;
	private int backgroundMode;
	private java.awt.Image backgroundImage;
	private int renderMode;
	private java.awt.Component focusOwner;
	private int[] allShortcutKeycodes;
	private HSceneTemplate sceneTemplate;
	private boolean active;
	private org.havi.ui.event.HEventGroup keyEvents;


	protected HScene() {
	}


	public void setVisible(boolean visible) {
		this.visible = visible;
	}


	public boolean isVisible() {
		return false;

	}


	public void paint(java.awt.Graphics g) {
	}


	public int getBackgroundMode() {
		return this.backgroundMode;
	}


	public void setBackgroundMode(int mode) {
		this.backgroundMode = mode;
	}


	public void setBackgroundImage(java.awt.Image image) {
		this.backgroundImage = image;
	}


	public java.awt.Image getBackgroundImage() {
		return this.backgroundImage;
	}


	public boolean setRenderMode(int mode) {
		return false;

	}


	public int getRenderMode() {
		return this.renderMode;
	}


	public boolean isDoubleBuffered() {
		return false;

	}


	public boolean isOpaque() {
		return false;

	}


	public java.awt.Component addBefore(java.awt.Component component, java.awt.Component behind) {
		return null;

	}


	public java.awt.Component addAfter(java.awt.Component component, java.awt.Component front) {
		return null;

	}


	public boolean popToFront(java.awt.Component component) {
		return false;

	}


	public boolean pushToBack(java.awt.Component component) {
		return false;

	}


	public boolean pop(java.awt.Component component) {
		return false;

	}


	public boolean push(java.awt.Component component) {
		return false;

	}


	public boolean popInFrontOf(java.awt.Component move, java.awt.Component behind) {
		return false;

	}


	public boolean pushBehind(java.awt.Component move, java.awt.Component front) {
		return false;

	}


	public void addWindowListener(java.awt.event.WindowListener wl) {
	}


	public void removeWindowListener(java.awt.event.WindowListener wl) {
	}


	protected void processWindowEvent(java.awt.event.WindowEvent we) {
	}


	public java.awt.Component getFocusOwner() {
		return this.focusOwner;
	}


	public void show() {
	}


	public void dispose() {
	}


	public boolean addShortcut(int keyCode, HActionable comp) {
		return false;

	}


	public void removeShortcut(int keyCode) {
	}


	public HActionable getShortcutComponent(int keyCode) {
		return null;

	}


	public void enableShortcuts(boolean enable) {
	}


	public boolean isEnableShortcuts() {
		return false;

	}


	public int getShortcutKeycode( HActionable comp) {
		return 0;

	}


	public int[] getAllShortcutKeycodes() {
		return this.allShortcutKeycodes;
	}


	public HScreenRectangle getPixelCoordinatesHScreenRectangle(java.awt.Rectangle r) {
		return null;

	}


	public HSceneTemplate getSceneTemplate() {
		return this.sceneTemplate;
	}


	public void setActive(boolean focus) {
		this.active = focus;
	}


	public void setKeyEvents(org.havi.ui.event.HEventGroup keyCodes) {
		this.keyEvents = keyCodes;
	}


	public org.havi.ui.event.HEventGroup getKeyEvents() {
		return this.keyEvents;
	}

}
